Package tigase.monitor.tasks

## Class AbstractConfigurableTimerTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.AbstractConfigurableTimerTask

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`
  Direct Known Subclasses:
    `ConnectionsTask`, `CpuTempTask`, `DiskTask`, `LoadCheckerTask`, `MemoryCheckerTask`, `SampleTask`, `ScriptTimerTask`

      public abstract class AbstractConfigurableTimerTask
      extends AbstractConfigurableTask
      implements UnregisterAware

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractConfigurableTimerTask()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeUnregister()` | Method called before bean unregister.
    `protected void` | `disable()` |
    `protected void` | `enable()` |
    `Form` | `getCurrentConfiguration()` |
    `long` | `getPeriod()` |
    `TimerTaskService` | `getTimerTaskService()` |
    `protected abstract void` | `run()` |
    `void` | `setNewConfiguration​(Form form)` |
    `void` | `setPeriod​(long value)` |
    `void` | `setTimerTaskService​(TimerTaskService timerTaskService)` |

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `initialize, isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractConfigurableTimerTask

          public AbstractConfigurableTimerTask()

  - ### Method Detail

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`
      Overrides:
        `beforeUnregister` in class `AbstractConfigurableTask`

    - #### getCurrentConfiguration

          public Form getCurrentConfiguration()

      Specified by:
        `getCurrentConfiguration` in interface `ConfigurableTask`
      Overrides:
        `getCurrentConfiguration` in class `AbstractConfigurableTask`

    - #### getPeriod

          public long getPeriod()

    - #### setPeriod

          public void setPeriod​(long value)

    - #### getTimerTaskService

          public TimerTaskService getTimerTaskService()

    - #### setTimerTaskService

          public void setTimerTaskService​(TimerTaskService timerTaskService)

    - #### setNewConfiguration

          public void setNewConfiguration​(Form form)

      Specified by:
        `setNewConfiguration` in interface `ConfigurableTask`
      Overrides:
        `setNewConfiguration` in class `AbstractConfigurableTask`

    - #### disable

          protected void disable()

      Overrides:
        `disable` in class `AbstractConfigurableTask`

    - #### enable

          protected void enable()

      Overrides:
        `enable` in class `AbstractConfigurableTask`

    - #### run

          protected abstract void run()